EC_NODE_ANY(3)

NAME
ec_node_any - Create a "any" node.

SYNOPSIS
#include <ecoli/node_any.h>

struct ec_node * ec_node_any(
    const char   *id,    /* The node identifier. */
    const char   *attr   /* The strvec attribute to match, or NULL. */
);

DESCRIPTION

This node always matches 1 string in the vector. An optional strvec attribute can be checked too. These attributes are usually set by a lexer node.

RETURN VALUE

The ecoli node.

SEE ALSO

COPYRIGHT

Copyright (C) 2010-2026 Olivier Matz, Robin Jarry.